Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.src
Class StringTranslate

    java.lang.Object
      net.minecraft.src.StringTranslate

    public class StringTranslate

extends Object

Field Summary
`String` | `currentLanguage`
`Properties` | `translateTable` Contains all key/value pairs to be translated - is loaded from '/lang/en_US.lang' when the StringTranslate is created.

Constructor Summary
`StringTranslate(String par1Str)`

Method Summary
`String` | `getCurrentLanguage()`
`static StringTranslate` | `getInstance()` Return the StringTranslate singleton instance
`TreeMap` | `getLanguageList()`
`static boolean` | `isBidirectional(String par0Str)`
`boolean` | `isUnicode()`
`void` | `setLanguage(String par1Str)`
`String` | `translateKey(String par1Str)` Translate a key to current language.
`String` | `translateKeyFormat(String par1Str, Object... par2ArrayOfObj)` Translate a key to current language applying String.format()
`String` | `translateNamedKey(String par1Str)` Translate a key with a extra '.name' at end added, is used by blocks and items.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### translateTable

    public Properties translateTable

  Contains all key/value pairs to be translated - is loaded from '/lang/en_US.lang' when the StringTranslate is created.

### currentLanguage

    public String currentLanguage

Constructor Detail

### StringTranslate

    public StringTranslate(String par1Str)

Method Detail

### getInstance

    public static StringTranslate getInstance()

  Return the StringTranslate singleton instance

### getLanguageList

    public TreeMap getLanguageList()

### setLanguage

    public void setLanguage(String par1Str)

### getCurrentLanguage

    public String getCurrentLanguage()

### isUnicode

    public boolean isUnicode()

### translateKey

    public String translateKey(String par1Str)

  Translate a key to current language.

### translateKeyFormat

    public String translateKeyFormat(String par1Str,
                                     Object... par2ArrayOfObj)

  Translate a key to current language applying String.format()

### translateNamedKey

    public String translateNamedKey(String par1Str)

  Translate a key with a extra '.name' at end added, is used by blocks and items.

### isBidirectional

    public static boolean isBidirectional(String par0Str)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD